For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
        • GETList liens for a business
        • POSTCreate a lien for a business
        • POSTCreate lien filings in batch
LogoLogo
Contact SalesGet Support
Middesk APIBusiness VerificationLiens

List liens for a business

GET
https://api.middesk.com/v1/businesses/:business_id/liens
GET
/v1/businesses/:business_id/liens
$curl https://api.middesk.com/v1/businesses/business_id/liens \
> -H "Authorization: Bearer <token>"
1{
2 "object": "list",
3 "data": [
4 {
5 "object": "lien",
6 "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
7 "type": "ucc",
8 "business_id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
9 "debtors": [
10 {
11 "name": "Acme Corporation",
12 "addresses": [
13 {
14 "full_address": "123 Main Street, San Francisco, CA 94105",
15 "address_line1": "123 Main Street",
16 "city": "San Francisco",
17 "state": "CA",
18 "postal_code": "94105"
19 }
20 ]
21 }
22 ],
23 "secured_parties": [
24 {
25 "name": "First National Bank",
26 "addresses": [
27 {
28 "full_address": "456 Finance Avenue, Los Angeles, CA 90210",
29 "address_line1": "456 Finance Avenue",
30 "city": "Los Angeles",
31 "state": "CA",
32 "postal_code": "90210"
33 }
34 ]
35 }
36 ],
37 "state": "CA",
38 "status": "created",
39 "collateral": "All business assets and inventory",
40 "negative_pledge": false,
41 "loan_principal_amount_cents": 50000000,
42 "packet_number": "PKT-12345",
43 "status_category": "pending",
44 "owner_id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
45 "owner_type": "Business"
46 }
47 ]
48}
Was this page helpful?
Previous

Create a lien for a business

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

business_idstringRequired
Business ID

Response

liens found

Errors

404
List Liens Request Not Found Error